
package de.ivu.elect.business.stimmeingabe.entity;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import javax.annotation.Nonnull;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;

public class StimmeingabeReferendumVorlageStimmenErfassenModel extends AbstractStimmenErfassenModel {

  private List<StimmeingabeReferendumVorlageStimmen> stimmenReferendumVorlage = new ArrayList<>();

  public StimmeingabeReferendumVorlageStimmenErfassenModel(Wahldurchfuehrungsgebiet bezugGebiet) {
    super(bezugGebiet);
  }

  public List<StimmeingabeReferendumVorlageStimmen> getStimmenReferendumVorlage() {
    return stimmenReferendumVorlage;
  }

  public void setStimmenReferendumVorlage(@Nonnull List<StimmeingabeReferendumVorlageStimmen> stimmenReferendumVorlage) {
    this.stimmenReferendumVorlage = stimmenReferendumVorlage;
  }

  @Override
  public Collection< ? extends StimmeingabeStimmen> getAllStimmeingabeValueObjects() {
    return stimmenReferendumVorlage;
  }
}
